<?php
function admin_init(){
	add_meta_box("img_post_meta", "首頁縮圖", "img_post_meta", "post", "normal", "high");
}
add_action("admin_init", "admin_init");
function img_post_meta($callback_args) {
	global $post;
	$custom = get_post_custom($post->ID);
	$fimg = isset($custom["fimg"][0]) ? $custom["fimg"][0] : '';
	?>
<p style="margin-bottom: 22px;">
	<label for="fimg">自訂文章縮圖，請輸入圖片網址：</label>
	<input name="fimg" id="fimg" type="text" value="<?php echo $fimg ?>" size="80" /><small>不設定則取第一張圖片</small>
</p>
<?php } 
function save_details($post_id){
	global $post;	
	if ( defined('DOING_AUTOSAVE') && DOING_AUTOSAVE ) 
		return $post_id;		
	if (isset($_POST["fimg"]) && $_POST["fimg"] <> '') update_post_meta($post->ID, "fimg", $_POST["fimg"]);
}
add_action('save_post', 'save_details');

;?>