<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<title><?php bloginfo('name'); ?><?php wp_title(); ?></title>
<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="alternate" type="text/xml" title="RSS .92" href="<?php bloginfo('rss_url'); ?>" />
<link rel="alternate" type="application/atom+xml" title="Atom 1.0" href="<?php bloginfo('atom_url'); ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>
<?php wp_head(); ?>
</head>
<body>
<?php $options = get_option('S_options');?>
<div id="ALL">
<div id="header">
<?php if($options['homelogo']) { ?>
<div id="logo"><h1><a title="<?php bloginfo('name'); ?>" href="<?php bloginfo('url'); ?>"><?php bloginfo('name'); ?></a></h1></div>
<?php } else { ?>
<div id="titledesc">
<a title="<?php bloginfo('name'); ?>" href="<?php bloginfo('url'); ?>/"><h1><?php bloginfo('name'); ?></h1></a>
<h2><?php bloginfo('description'); ?></h2>
</div>
<?php }; ?>

<div id="navmenu">
<div id="navleft"></div>
		<?php $menuClass = 'nav superfish';
		if (function_exists('wp_nav_menu')) {
			$primaryNav = wp_nav_menu( array( 'theme_location' => 'primary-menu', 'container' => '', 'fallback_cb' => '', 'menu_class' => $menuClass, 'echo' => false ) ); 
			echo $primaryNav; 
		}
		if ($primaryNav == '') { wp_list_pages('title_li='); }; ?>
<div id="navright"></div>
</div>
<div id="feedoptions">
<div id="feedimg"></div>
<div id="feedmenu">
<div id="rssfeed">
<?php
	if($options['feed'] && $options['feed_url']) {
		if (substr(strtoupper($options['feed_url']), 0, 7) == 'HTTP://') {
			$feed = $options['feed_url'];
		} else {
			$feed = 'http://' . $options['feed_url'];
		}
	} 
	else {
		$feed = get_bloginfo('rss2_url');
	}
?>
<a href="<?php echo $feed; ?>" title="訂閱『<?php bloginfo('name'); ?>』的RSS"  target="_blank">RSS</a>
</div>
<?php if($options['feed_url_email'] && $options['feed_email']) { ?>
<div id="emailfeed"><a rel="external nofollow" id="feedemail" title="用Email訂閱最新文章" href="http://feedburner.google.com/fb/a/mailverify?uri=<?php echo $options['feed_url_email']; ?>&loc=zh_TW" target="_blank">Email Feed</a></div>
<?php } else {} ;?>
<?php if($options['facebook'] && $options['facebookurl']) { ?>
<div id="fbfeed"><a title="FaceBook粉絲專頁" href="<?php echo $options['facebookurl']; ?>" target="_blank">facebook</a></div>
<?php } else {} ;?>
<?php if($options['plurk'] && $options['plurkurl']) { ?>
<div id="plkfeed"><a title="Plurk噗浪" href="<?php echo $options['plurkurl']; ?>" target="_blank">plurk</a></div>
<?php } else {} ;?>
<?php if($options['twitter'] && $options['twitterurl']) { ?>
<div id="twifeed"><a title="Twitter推特" href="<?php echo $options['twitterurl']; ?>" target="_blank">twitter</a></div>
<?php } else {} ;?>
</div>
</div>
</div>
<div class="postline"></div>
